Bug 200627 - firefox 1.5.0.5 crashes in Tools->Extensions / cannot install extensions
Summary: firefox 1.5.0.5 crashes in Tools->Extensions / cannot install extensions
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: massRequestForReproduction
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-29 08:49 UTC by Landon Curt Noll
Modified: 2008-05-13 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 15:02:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Landon Curt Noll 2006-07-29 08:49:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.5) Gecko/20060723 Firefox/1.5.0.5

Description of problem:
When viewing the extensions, firefox crashes.

Version-Release number of selected component (if applicable):
firefox-1.5.0.5-0.el4.1

How reproducible:
Always


Steps to Reproduce:
1.install firefox-1.5.0.5
2.start firefox
3.Tools->Extensions

Actual Results:
Firefox exists without any error message.

Expected Results:
The list of firefox extensions is displayed.

Additional info:
This bug also exists on a RHEL4.3 system with a brand new virgin unmodified installation.

Comment 1 Landon Curt Noll 2006-07-29 09:45:22 UTC
Firefox 1.5.0.5 also crashes when attempting to install any extension! 
Elevating this bug to urgent status as it is now impossible to install or
configure any firefox extension.

Comment 2 Landon Curt Noll 2006-07-29 09:59:28 UTC
If you allow the MOZ_PROGRAM in /usr/bin/firefox to write to stdout/stderr (i.e.:

cp /usr/bin/firefox /var/tmp/firefox

and patch as follows:

--- /usr/bin/firefox    2006-07-26 13:49:33.000000000 -0700
+++ /var/tmp/firefox    2006-07-29 03:03:41.000000000 -0700
@@ -145,7 +145,7 @@
 # if there's no command line argument and there's not a running
 # instance then just fire up a new copy of the browser
 if [ -z "$1" ]; then
-  exec $MOZ_PROGRAM $MOZARGS 2>/dev/null >/dev/null
+  exec $MOZ_PROGRAM $MOZARGS
 fi
 
 unset RETURN_VAL

and then you run /var/tmp/firefox, and then in firefox you do Tools->Extensions
the following error message is produced:

/usr/lib/firefox-1.5.0.5/run-mozilla.sh: line 131: 18225 Floating point
exception"$prog" ${1+"$@"}


Comment 3 Landon Curt Noll 2006-07-29 10:05:11 UTC
Running that same /var/tmp/firefox with sh -x, one observes the following output
as firefox is starting:

++ basename /usr/lib/firefox-1.5.0.5/run-mozilla.sh
+ cmdname=run-mozilla.sh
++ dirname /usr/lib/firefox-1.5.0.5/run-mozilla.sh
+ MOZ_DIST_BIN=/usr/lib/firefox-1.5.0.5
+ MOZ_DEFAULT_NAME=./run-mozilla.sh-bin
+ MOZ_APPRUNNER_NAME=./mozilla-bin
+ MOZ_VIEWER_NAME=./viewer
+ MOZ_PROGRAM=
+ exitcode=0
+ moz_debug=0
+ moz_debugger=
+ '[' 0 -gt 0 ']'
+ '[' 0 -gt 0 ']'
+ '[' -z '' ']'
+ '[' -x ./run-mozilla.sh-bin ']'
+ '[' -x ./viewer ']'
+ '[' -x ./mozilla-bin ']'
+ '[' '!' -x '' ']'
+ moz_bail 'Cannot execute .'
+ message='Cannot execute .'
+ echo

+ echo 'run-mozilla.sh: Cannot execute .'
run-mozilla.sh: Cannot execute .
+ echo

+ exit 1
: em1; sh -x /var/tmp/firefox 
++ basename /var/tmp/firefox
+ cmdname=firefox
+ MOZ_LIB_DIR=/usr/lib
+ '[' -x /usr/lib64/firefox-1.5.0.5/firefox-bin ']'
+ MOZ_DIST_BIN=/usr/lib/firefox-1.5.0.5
+ MOZ_PROGRAM=/usr/lib/firefox-1.5.0.5/firefox
+ MOZ_CLIENT_PROGRAM=/usr/lib/firefox-1.5.0.5/mozilla-xremote-client
+ MOZ_CLIENT_PROGRAM_PARAM='-a firefox'
+ MOZILLA_FIVE_HOME=/usr/lib/firefox-1.5.0.5
+ export MOZILLA_FIVE_HOME
+ '[' '' ']'
+ LD_LIBRARY_PATH=/usr/lib/firefox-1.5.0.5:/usr/lib/firefox-1.5.0.5/plugins
+ export LD_LIBRARY_PATH
+ '[' '' ']'
+ MOZ_PLUGIN_PATH=/usr/lib/mozilla/plugins:/usr/lib/firefox-1.5.0.5/plugins
+ export MOZ_PLUGIN_PATH
+ FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-1.5.0.5/res/Xft
+ export FONTCONFIG_PATH
++ check_running
++ /usr/lib/firefox-1.5.0.5/mozilla-xremote-client -a firefox 'ping()'
++ RETURN_VAL=2
++ '[' 2 -eq 2 ']'
++ echo 0
++ return 0
+ ALREADY_RUNNING=0
+ '[' 0 -eq 1 ']'
+ MOZARGS=
++ echo en_US.UTF-8
++ sed 's|_\([^.]*\).*|-\1|g'
+ MOZLOCALE=en-US
+ '[' -f /usr/lib/firefox-1.5.0.5/chrome/en-US.jar ']'
+ MOZARGS='-UILocale en-US'
+ '[' -z '' ']'
+ exec /usr/lib/firefox-1.5.0.5/firefox -UILocale en-US

And this point, in the firefox window, when you do Tools->Extensions, you get:

/usr/lib/firefox-1.5.0.5/run-mozilla.sh: line 131: 18304 Floating point
exception"$prog" ${1+"$@"}

and the command exits with code 136.

Comment 4 Landon Curt Noll 2006-07-29 10:07:42 UTC
Oops, there was a cut-and-paste error in comment #3.  Please ignore the lines from

++ basename /usr/lib/firefox-1.5.0.5/run-mozilla.sh

through:

: em1; sh -x /var/tmp/firefox

The correct output from "sh -x /var/tmp/firefox" follows after the above line.



Comment 5 Landon Curt Noll 2006-07-29 10:37:31 UTC
When firefox is run with the debugger (as in firefox -g) and then
Tools->Extensions is done, gdb reports:

Program received signal SIGFPE, Arithmetic exception.
[Switching to Thread -1208699200 (LWP 18589)]
0x0013401a in FT_Realloc () from /usr/lib/libfreetype.so.6
(gdb) bt
#0  0x0013401a in FT_Realloc () from /usr/lib/libfreetype.so.6
#1  0x005b229b in TT_GSUB_Apply_String () from /usr/lib/libpangoft2-1.0.so.0
#2  0x005b24c3 in otl_buffer_add_glyph () from /usr/lib/libpangoft2-1.0.so.0
#3  0x005b2879 in pango_ot_buffer_add_glyph () from /usr/lib/libpangoft2-1.0.so.0
#4  0x009d4321 in ?? () from /usr/lib/pango/1.4.0/modules/pango-arabic-fc.so
#5  0x08955448 in ?? ()
#6  0x0000038d in ?? ()
#7  0x0000000e in ?? ()
#8  0x00000000 in ?? ()


Comment 6 Karl Latiss 2006-07-31 00:18:10 UTC
Looks like I can view my extensions list when I export MOZ_DISABLE_PANGO=1 in my
environment, ie

export MOZ_DISABLE_PANGO=1; firefox

lets me successfully do Tools->Extensions

Comment 7 Richard Cunningham 2006-08-01 10:00:21 UTC
I was having this problem, though it seems to be fixed now after applying  the
freetype-* 2.1.9-4.el4 packages from RHBA-2006:0613-5.
This also seemed to fix bug 200622

Comment 8 Adam Guthrie 2006-08-01 21:16:12 UTC
Yes, it's a problem in libfreetype. See
http://rhn.redhat.com/errata/RHBA-2006-0613.html for more info.

Comment 9 Karl Latiss 2006-08-02 00:05:10 UTC
Can confirm that upgrading to freetype-2.1.9-4.el4 fixed this issue for me.

Comment 10 Landon Curt Noll 2006-08-02 18:17:54 UTC
The freetype-2.1.9-4.el4 update, which came out later on, was installed
yesterday on our servers.  This update resolved all of the problems outlined in
this bug.

I recommend closing this bug.

Comment 11 Shah Komal Kiritkumar 2006-08-05 14:52:52 UTC
(In reply to comment #10)
> The freetype-2.1.9-4.el4 update, which came out later on, was installed
> yesterday on our servers.  This update resolved all of the problems outlined in
> this bug.
> 
> I recommend closing this bug.

Does not work for me.



Comment 12 Matěj Cepl 2008-02-08 20:43:05 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]

Comment 13 Landon Curt Noll 2008-02-10 19:09:45 UTC
This bug was fixed back in 2006.

Comment 14 Martin Stransky 2008-05-13 15:02:21 UTC
Seems to be fixed in the upcoming FF3 package for rhel-4.7. Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.